parser for the OPF PowerISA 3.1C pdf to attempt to extract all instructions' pseudo-code including subscripts/superscripts and other formatting

Usage:
* Download the OPF PowerISA 3.1C pdf (yes you need that exact version) from <https://openpower.foundation/specifications/isa/>
* Obtain CPython 3.11 (the default `python3` in [Debian Bookworm](https://www.debian.org/releases/bookworm/))

  On Debian Bookworm you can do:

  ```bash
  sudo apt update
  sudo apt install python3-venv
  ```

* Create a venv:

  ```bash
  python3.11 -m venv --upgrade-deps path/to/your/new/.venv
  ```

* Activate the venv:

  ```bash
  . path/to/your/new/.venv/bin/activate
  ```

* Install this project in the venv:

  ```bash
  pip install -e .
  ```

* Run it:

  ```bash
  parse_powerisa_pdf path/to/downloaded/OPF_PowerISA_v3.1C.pdf > out.log
  ```

* This will spit out lots of errors and then successfully create
  the output file -- `powerisa-instructions.xml` in the current directory.
